Collada importer with blender 2.45 crash

Hi,
I try to import a collada 1.4.1 file.
http://sketchup.google.com/3dwarehouse/download?mid=4d88362ce9665d68a9d3ed02726c7573&rtyp=zip&fn=Kurhaus&ctyp=other
Getting the error : The minor version of the file you are using is newer then the plug-in, so errors…
Then Blender crash.
Anybody know what’s wrong ?

Try going to this site: Collada Plug-in and download the latest plugin. I believe that the latest version of blender only imports up to 1.4.

Let us know if this helps you out.